Package: org.grails.web.mapping.mvc

## [Groovy] Class UrlMappingsInfoHandlerAdapter

- org.grails.web.mapping.mvc.UrlMappingsInfoHandlerAdapter

- All Implemented Interfaces and Traits:
    org.springframework.web.servlet.HandlerAdapter, org.springframework.context.ApplicationContextAware

      @groovy.transform.CompileStatic
      class UrlMappingsInfoHandlerAdapter
      extends java.lang.Object
      implements org.springframework.web.servlet.HandlerAdapter, org.springframework.context.ApplicationContextAware

  A org.springframework.web.servlet.HandlerAdapter that takes a matched UrlMappingInfo and executes the underlying controller producing an appropriate model

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.util.Collection<ActionResultTransformer>` | `actionResultTransformers` |
    `private org.springframework.context.ApplicationContext` | `applicationContext` |
    `protected java.util.Map<java.lang.String, java.lang.Object>` | `controllerCache` |
    `protected ResponseRedirector` | `redirector` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.context.ApplicationContext` | `applicationContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `UrlMappingsInfoHandlerAdapter ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `long` | `getLastModified(javax.servlet.http.HttpServletRequest request, java.lang.Object handler)`
    `` | `org.springframework.web.servlet.ModelAndView` | `handle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)`
    `` | `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
    `` | `boolean` | `supports(java.lang.Object handler)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected java.util.Collection<ActionResultTransformer> actionResultTransformers

    - #### private org.springframework.context.ApplicationContext applicationContext

    - #### protected java.util.Map<java.lang.String, java.lang.Object> controllerCache

    - #### protected ResponseRedirector redirector

  - ### Property Detail

    - #### org.springframework.context.ApplicationContext applicationContext

  - ### Constructor Detail

    - #### UrlMappingsInfoHandlerAdapter()

  - ### Method Detail

    - #### @java.lang.Override long getLastModified(javax.servlet.http.HttpServletRequest request, java.lang.Object handler)

    - #### @java.lang.Override org.springframework.web.servlet.ModelAndView handle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)

    - #### void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

    - #### @java.lang.Override boolean supports(java.lang.Object handler)